/* macro.h */
/* macro definitions. 91/12/16 I.Yamamura */
/* small change 92/05/02 I.Yamamura */
/* bug fix on sgn 93/01/24 I.Yamamura */
/* isnan() is defined. nint is redefined. 93/01/29 I.Yamamura */

/* for debug */
#define sp(s) fprintf(stderr,"s\n")

/* Some simple functions */
#define sqr(x) ((x) * (x))
#define cub(x) ((x) * (x) * (x))
#define sgn(x) ((x) < 0 ? -1 : 1)
#define nint(x) ((int)((x)+((x) >= 0 ? 0.5 : -0.5)))
#define large(a, b) ((a) >= (b) ? (a) : (b))
#define small(a, b) ((a) <= (b) ? (a) : (b))
#ifdef mips
#  define isnan(x) (((x)/(x) != 1.0) && (x != 0.0))
#endif
