/* basic.c */
/*    isolated from global variables version. */
/*    91/12/16 I.Yamamura */
/*    small change about massage in ReadParm() 92/05/02 */
/*    small change in InitEfc*() 92/08/23 */
/*    related to new made rtconfig.h 92/08/30 */
/*    Gethet() is moved to rtmodel.c 92/10/01 */
/*    totally re-configured 93/02/27 */
/*    93/08/23 some functions are removed or moved. */
/*    93/08/24 renamed from rtcommon.c */

#include <stdio.h>
#include <math.h>

#include "const.h"
#include "macro.h"
#include "rtcommon.h"

/* -------------------------------------------- */
double Doppler(v, cf)
   double v, cf;
{
   double f;

   f = cf * (1 - v / C);
   return f;

} /* Doppler() */

/* -------------------------------------------- */
double BB(t, nyu)
   double t, nyu;
{
   double ti;

   ti = 1.0 / (exp(H * nyu / BK / t) - 1.0);
   return ti;

} /* BB() */

/* -------------------------------------------- */
double ItoTb(nyu, ti)
   double nyu, ti;
{
   double tb;

   tb = ti * H * nyu / BK;
/*   tb = H * nyu / BK / log(1.0 / ti + 1.0); /**/
   return tb;

} /* ItoTb() */

/* end of rtcommon.c */
